% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fcast.R
\name{fcast}
\alias{fcast}
\title{Forecast from a VAR}
\usage{
fcast(y0, By, Bx, xdata = NULL, const = TRUE, horiz, shocks = NULL)
}
\arguments{
\item{y0}{lags by nvar matrix of initial conditions for the forecast.}

\item{By}{nvar by nvar by lags array of lag coefficients (as emerge
from \code{rfvar3})}

\item{Bx}{nvar by nx array of coefficients on exogenous variables}

\item{xdata}{(lags + horiz) by nx matrix of exogenous variable values}

\item{const}{Take care of constant automatically, rather than via
\code{xdata} and \code{Bx}?}

\item{horiz}{How far into the future to forecast}

\item{shocks}{If non-null, \code{horiz} by \code{nvar} matrix of future shocks}
}
\value{
(horiz + lags) by nvar matrix of initial conditions and forecasts
}
\description{
Forecast from a VAR
}
\details{

}

