% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/impulsdtrf.R
\name{impulsdtrf}
\alias{impulsdtrf}
\title{Impulse responses}
\usage{
impulsdtrf(vout = NULL, smat = NULL, nstep = 40, order = NULL)
}
\arguments{
\item{vout}{Output structure from rfvar3.}

\item{smat}{Matrix of initial shocks.}

\item{order}{Permutation vector to order shocks differently.}
}
\value{
{ nvar by nshocks by nstep array of impulse responses}
}
\description{
Impulse responses for a reduced form VAR
}
\details{
\code{vout} must be a list.  If \code{smat} is present, it must
have an element named \code{By} (the AR coefficient array).  If \code{smat} is
not present, \code{vout$u}, the residuals from the VAR, must be present for
use in calculating the covariance matrix of residuals.
If \code{order} and \code{smat} are \code{NULL}, the impulse responses
will be for a cholesky decomp with variables ordered as in the columns of
\code{vout$u}. More generally, \code{smat} can be any set of initial values
for the shocks. To keep the shocks orthogonal and scaled properly, \code{smat}
should be such that \code{tcrossprod(smat) == crossprod(vout$u)/dim(u)[1]}.
However, the routine works with singular \code{smat} or with \code{smat} column
dimension less than its row dimension. To get a cholesky decomp with a different
ordering, set order to an integer vector giving the desired ordering.
}

